import Login from "../Login.vue";
import {mount} from "@vue/test-utils";
import { shallowMount } from '@vue/test-utils'
import Service from "../service/Service";
import Menu from "../Menu";

// Rien a tester dans Index.vue, car c'est juste un "aggrégateur" pour d'autres composants.

test('Menu', () => {

    const wrapper = shallowMount(Menu)

    wrapper.vm.choixIconeNotification = jest.fn()

    wrapper.setData({isAffiche: true})
    wrapper.find('.notif').trigger('click');
    expect(wrapper.vm.isAffiche === false)

    let isAfficheTmp = wrapper.vm.isAffiche
    wrapper.find('.circle').trigger('click')
    expect(wrapper.vm.isAffiche).toEqual(true)

    wrapper.vm.choixMenuAnnexe = jest.fn()
    wrapper.setData({isAffiche: true})
    wrapper.find('.sous_menu').trigger('click')
    expect(wrapper.vm.isAffiche).toEqual(false)

    wrapper.setData({isAffiche: true})

})
